Affilibee
Toggle sidebar

Accept affiliate request

Accept a pending affiliate request for your merchant account.

Endpoint

POST
/api/v2/affiliate-requests/{uuid}/accept

Authorization

Learn more
Authorization
string
header
required

The Bearer token generated in the Affilibee dashboard.

Body

application/json

Example requests

curl -X POST "https://affilibee.com/api/v2/affiliate-requests/9b9e1a12-8e6b-4e6b-8e6b-8e6b8e6b8e6b/accept" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Accept: application/json"
const token = "YOUR_ACCESS_TOKEN";
const url = "https://affilibee.com/api/v2/affiliate-requests/9b9e1a12-8e6b-4e6b-8e6b-8e6b8e6b8e6b/accept";

fetch(url, {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${token}`,
    "Accept": "application/json"
  }
})
  .then(response => response.json())
  .then(data => console.log("Success:", data))
  .catch(error => console.error("Error:", error));
import requests

token = "YOUR_ACCESS_TOKEN"
url = "https://affilibee.com/api/v2/affiliate-requests/9b9e1a12-8e6b-4e6b-8e6b-8e6b8e6b8e6b/accept"

headers = {
    "Authorization": f"Bearer {token}",
    "Accept": "application/json"
}

response = requests.post(url, headers=headers)
print(response.json())
$token = 'YOUR_ACCESS_TOKEN';
$url = 'https://affilibee.com/api/v2/affiliate-requests/9b9e1a12-8e6b-4e6b-8e6b-8e6b8e6b8e6b/accept';

$response = Http::withToken($token)
    ->withHeaders([
        'Accept' => 'application/json',
    ])
    ->post($url);

print_r($response->json());

Responses

application/json

200
Successful response

The affiliate request has been successfully accepted.

Response examples

{
    "success": true,
    "data": {
        "affiliate_request": {
            "uuid": "00000000-0000-0000-0000-000000000000",
            "affiliate": {
                "name": "John Doe",
                "slug": "john-doe"
            },
            "status": "active",
            "requested_at": "2024-03-21T10:00:00Z"
        }
    },
    "errors": null,
    "meta": {
        "trace_id": "20240321:api:abc12"
    }
}

Notes

  • Accepting a request will move the affiliate to your active affiliate list.

  • The affiliate will be notified of the acceptance.

Got questions? We're here for you.

We help teams run affiliate programs through API-first integrations that fit the platform they already use.

© 2025 Affilibee Handelsbolag (969802-2481)

Integrations

API Integration
How can we assist you today?

Fill in the form below and we'll get back to you as soon as possible.

Name
Email
Message